Subject: Re: bug#73501: 30.0.91; zoom smaller/larger svg image file unresponsive

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Sep 2024 13:40:37 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 27 Sep 2024 09:36:11 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I cannot reproduce this: I can zoom in or out this file in full-screen
> > Emacs frame.
> >
> >> Expected behavior is zoom to enlarge/shrink happens in response to "C-x C-+" and "C-x C--".
> >
> > I get the expected behavior.
> >
> > Do you see something interesting in *Messages*?
> >
> 
> # Contents of *Messages*
> 
> 1 For information about GNU Emacs and the GNU system, type C-h C-a.
> 2 Type C-c C-c to view the image as text
> 3 Use +, =, -, 0, C-+, C-=, C--, C-0 for further adjustment [5 times]
> 
> The above 5 attempts to enlarge at fullscreen does nothing.

Then I have no idea what happens in your case.  Maybe it's your
version of librsvg, or maybe it's something else.

Can anyone reproduce this issue and debug it?

> I see the svg image resize automatically at fullwidth from default frame
> size to 50-percent of fullscreen, toggling back to default frame size
> will automatically shrink the svg image file.

That's expected, and AFAIU is unrelated to the issue at hand.  See
image-auto-resize.